Skip to content
CatalogSize Guides

List size guides

Lists the size guides defined for the store.

Query Parameters

limit?integer

Maximum number of results to return.

Formatint32
cursor?string

Cursor from the previous response. Omit it on the first page.

search?string

Free-text search.

sortBy?string

Field to sort by.

sortDirection?string

Sort direction: asc or desc.

Value in

  • "asc"
  • "desc"
gender?string

Gender the item is intended for.

Value in

  • "unisex"
  • "men"
  • "women"
  • "kids"
  • "baby"
measurementType?string

Only size guides with this measurement type.

Value in

  • "body"
  • "garment"
  • "foot"
  • "accessory"
status?string

Only items in these statuses.

Value in

  • "draft"
  • "active"
  • "inactive"
productId?string

Identifier of the product.

categoryId?string

Identifier of the category.

Header Parameters

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.ecomiq.pe/api/v1/catalog/size-guides" \  -H "Authorization: Bearer <token>"
{  "data": [    {      "id": "7204558912004326347",      "storeId": "7204558912004327977",      "sellerId": "7204558912004323447",      "name": "Polos",      "slug": "polo-de-algodon",      "imageUrl": "https://mi-tienda.ecomiq.app/images/polo-de-algodon.webp",      "gender": "unisex",      "measurementType": "body",      "unit": "cm",      "status": "draft",      "priority": 1,      "rowsCount": 24,      "assignmentsCount": 24,      "createdOn": "2026-09-28T15:30:00Z",      "updatedOn": "2026-09-28T15:30:00Z"    }  ],  "hasNextPage": true,  "nextCursor": "eyJpZCI6IjcyMDQ1NTg5MTIwMDQzMjUzMDEifQ",  "totalCount": 24}